Bug 417341 - 'system-config-lvm' hangs with many LVs on a volume group
'system-config-lvm' hangs with many LVs on a volume group
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-09 12:43 EST by Heinz-Peter Heidinger
Modified: 2008-06-16 22:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heinz-Peter Heidinger 2007-12-09 12:43:01 EST
Description of problem:

system-config-lvm hangs if a volume group carries alot of locical volumes.
I 'sliced' two 750GB disks (~700GB netto) into ~20GB logical volumes which
resulted in 32 logical volumes on each volume group. 

Well. I did not click that all together but used a command to do that - for

   while :; do lvcreate -l <LVsize> <VG>; done

... which created LVs with consecitive LV names of even size ... until it
throwed "Insufficiemt space ..." messages - where I stopped the loop with CTL-C.
Requesting the result from LVM with 'lvs' it showd everything fine: 32 lvols
created on each VG.

Stepping to the 'system-config-lvm' GUI and asking for the lvols of one of the
VGs triggered the normel 'reload'; i.e. the progress bar bumps back and forth to
show that work is in progress to scan the VGs for LVs ... but then the progress
bar freezes and the GUI hangs.

Closing the GUI and removing all the LVs from the explained VGs get the GUI back
to live.

How reproducible:
see above

Steps to Reproduce:
see above

Actual results:
see above

Expected results:

A volume group can provide 256 LVs (default) - even more it the "max LVs"
parameter is changed during VG creation. The tool should not hang if the number
of LVs is bigger than just 10.

Additional info:
Happened under Fedora-7.
I tried that with the defailt LP size of 4MB and a much bigger (64MB) LP size I
suspected the small LP size the sulprit at first. But no change in the result.
So it seems to be the number of LVs, that triggers the hang.
Comment 1 Bug Zapper 2008-05-14 11:08:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:55:00 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.